<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('contenuto_bacheca', function (Blueprint $table) {
            $table->bigInteger('attivita_id')->unsigned()->nullable()->after('id');
            $table->foreign('attivita_id')->references('id')->on('attivita')->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('contenuto_bacheca', function (Blueprint $table) {
            $table->dropForeign(['attivita_id']);
            $table->dropColumn('attivita_id');
        });
    }
};
